Get sales invoice
One sales invoice with its lines, taxes, totals and status.
GET https://cotlet.dev/api/v1/erpnext/sales-invoice
read
Returns the full invoice: customer, dates, every item line with quantity, rate and amount, the tax rows, net and grand totals, outstanding amount and status. docstatus is 0 for a draft, 1 for a submitted invoice and 2 for a cancelled one.
Parameters
| Name | Type | Description |
|---|---|---|
| invoice string required | string | Sales Invoice ID from list_sales_invoices or create_sales_invoice. |
Request
curl "https://cotlet.dev/api/v1/erpnext/sales-invoice?invoice=invoice" \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("erpnext", "get_sales_invoice", {"invoice":"invoice"}) const result = await cotlet.call('erpnext', 'get_sales_invoice', {"invoice":"invoice"}); cotlet call erpnext get_sales_invoice --data '{"invoice":"invoice"}' Example response
{
"invoice": "ACC-SINV-2026-00036",
"customer": "Lumen Dental",
"status": "Overdue",
"docstatus": 1,
"posting_date": "2026-09-17",
"due_date": "2026-10-01",
"currency": "USD",
"items": [
{
"item_code": "CONSULT-HR",
"qty": 5,
"rate": 80,
"amount": 400
}
],
"taxes": [
{
"description": "Sales Tax",
"rate": 12.5,
"tax_amount": 50
}
],
"net_total": 400,
"grand_total": 450,
"outstanding_amount": 450
}